<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/EqualizerImplementations/test/InMemoryEqualizerConfigurationTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_63c328d9f040c398ed3a99417a38689e.html">EqualizerImplementations</a></li><li class="navelem"><a class="el" href="dir_416300ee0084567de5554b5a1731efd0.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">InMemoryEqualizerConfigurationTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;list&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &quot;<a class="el" href="_in_memory_equalizer_configuration_8h_source.html">EqualizerImplementations/InMemoryEqualizerConfiguration.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for InMemoryEqualizerConfigurationTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_in_memory_equalizer_configuration_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2test_2_in_memory_equalizer_configuration_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2test_2_in_memory_equalizer_configuration_test_8cpp" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2test_2_in_memory_equalizer_configuration_test_8cpp">
<area shape="rect" id="node6" href="_in_memory_equalizer_configuration_8h.html" title="EqualizerImplementations\l/InMemoryEqualizerConfiguration.h" alt="" coords="378,119,609,157"/>
<area shape="rect" id="node8" href="_equalizer_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerConfiguration\lInterface.h" alt="" coords="396,205,594,257"/>
<area shape="rect" id="node11" href="_success_result_8h.html" title="AVSCommon/Utils/Error\l/SuccessResult.h" alt="" coords="397,379,561,417"/>
<area shape="rect" id="node13" href="hash_8h.html" title="AVSCommon/Utils/functional\l/hash.h" alt="" coords="800,379,992,417"/>
<area shape="rect" id="node17" href="_equalizer_types_8h.html" title="EqualizerTypes.h" alt="" coords="564,305,687,331"/>
<area shape="rect" id="node12" href="_result_8h.html" title="Result.h" alt="" coords="444,465,514,491"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test.html">alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">alexaClientSDK::equalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html">alexaClientSDK::equalizer::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a511a0b327fbfbc9ae4ed4916b06c9ea8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a511a0b327fbfbc9ae4ed4916b06c9ea8">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedValidParameters_createInstance_shouldSucceed)</td></tr>
<tr class="memdesc:a511a0b327fbfbc9ae4ed4916b06c9ea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple successful case.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a511a0b327fbfbc9ae4ed4916b06c9ea8">More...</a><br /></td></tr>
<tr class="separator:a511a0b327fbfbc9ae4ed4916b06c9ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab070403565117bed1562a349a23bba40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab070403565117bed1562a349a23bba40">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedInalidLevelRange_createInstance_shouldFail)</td></tr>
<tr class="memdesc:ab070403565117bed1562a349a23bba40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Min level &gt; Max level.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab070403565117bed1562a349a23bba40">More...</a><br /></td></tr>
<tr class="separator:ab070403565117bed1562a349a23bba40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7972a1bfae11356a6d919282d54a94ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a7972a1bfae11356a6d919282d54a94ea">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedMixMaxLevelSetToDefault_createInstance_shouldSucceed)</td></tr>
<tr class="memdesc:a7972a1bfae11356a6d919282d54a94ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Min and Max are equal (DEFAULT_LEVEL), must succeed.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a7972a1bfae11356a6d919282d54a94ea">More...</a><br /></td></tr>
<tr class="separator:a7972a1bfae11356a6d919282d54a94ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c717279abd1cd8c0cc30e9e9b87d603"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1c717279abd1cd8c0cc30e9e9b87d603">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedSameNonDefaultMixMaxLevel_createInstance_shouldSucceed)</td></tr>
<tr class="memdesc:a1c717279abd1cd8c0cc30e9e9b87d603"><td class="mdescLeft">&#160;</td><td class="mdescRight">Min and Max are equal (non-DEFAULT_LEVEL), must fail because all modes use DEFAULT_LEVEL as band levels.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1c717279abd1cd8c0cc30e9e9b87d603">More...</a><br /></td></tr>
<tr class="separator:a1c717279abd1cd8c0cc30e9e9b87d603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1734a7a8faa85ffdecb237d47fde41a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#af1734a7a8faa85ffdecb237d47fde41a">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedDefaultStateLevelAboveMax_createInstance_shouldFail)</td></tr>
<tr class="memdesc:af1734a7a8faa85ffdecb237d47fde41a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid band value in default state (above max)  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#af1734a7a8faa85ffdecb237d47fde41a">More...</a><br /></td></tr>
<tr class="separator:af1734a7a8faa85ffdecb237d47fde41a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f9b016366d4a127b9050fe91880c6f3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a9f9b016366d4a127b9050fe91880c6f3">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedDefaultStateLevelBelowMin_createInstance_shouldFail)</td></tr>
<tr class="memdesc:a9f9b016366d4a127b9050fe91880c6f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid band value in default state (below min)  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a9f9b016366d4a127b9050fe91880c6f3">More...</a><br /></td></tr>
<tr class="separator:a9f9b016366d4a127b9050fe91880c6f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e3b2cca67d8759bbba2c78281e32ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a43e3b2cca67d8759bbba2c78281e32ba">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedDefaultStateLevelBelowMinDifferentBand_createInstance_shouldFail)</td></tr>
<tr class="memdesc:a43e3b2cca67d8759bbba2c78281e32ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid band value in default state (below min, another band)  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a43e3b2cca67d8759bbba2c78281e32ba">More...</a><br /></td></tr>
<tr class="separator:a43e3b2cca67d8759bbba2c78281e32ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf74deaac19af4892c521fe406dc0553"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#aaf74deaac19af4892c521fe406dc0553">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedNoModes_createInstance_shouldSucceed)</td></tr>
<tr class="separator:aaf74deaac19af4892c521fe406dc0553"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fab05c8b472f1b6189ab2df96302c61"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a0fab05c8b472f1b6189ab2df96302c61">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedSupportedModeInDefaultState_createInstance_shouldSucceed)</td></tr>
<tr class="separator:a0fab05c8b472f1b6189ab2df96302c61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a775b00488c55d81f70280077b6024f0c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a775b00488c55d81f70280077b6024f0c">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedUnsupportedModeInDefaultState_createInstance_shouldFail)</td></tr>
<tr class="separator:a775b00488c55d81f70280077b6024f0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab505379080b85f760f8fa5a37b42849"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#aab505379080b85f760f8fa5a37b42849">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedNONEModeAsSupported_createInstance_shouldSucceed)</td></tr>
<tr class="separator:aab505379080b85f760f8fa5a37b42849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5ca9d4e43cc68b07ba42265454ec5d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1a5ca9d4e43cc68b07ba42265454ec5d">alexaClientSDK::equalizer::test::TEST_F</a> (InMemoryEqualizerConfigurationTest, test_providedValidConfiguration_isSupportedMethods_shouldSucceed)</td></tr>
<tr class="separator:a1a5ca9d4e43cc68b07ba42265454ec5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af09fea16249b199bfe718e1d85b1050f"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#af09fea16249b199bfe718e1d85b1050f">alexaClientSDK::equalizer::test::MIN_LEVEL</a> = -6</td></tr>
<tr class="memdesc:af09fea16249b199bfe718e1d85b1050f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level used as a minimum .  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#af09fea16249b199bfe718e1d85b1050f">More...</a><br /></td></tr>
<tr class="separator:af09fea16249b199bfe718e1d85b1050f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab98ae8a9513aea09ffefee95e5a21987"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab98ae8a9513aea09ffefee95e5a21987">alexaClientSDK::equalizer::test::MAX_LEVEL</a> = 6</td></tr>
<tr class="memdesc:ab98ae8a9513aea09ffefee95e5a21987"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level used as a maximum.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab98ae8a9513aea09ffefee95e5a21987">More...</a><br /></td></tr>
<tr class="separator:ab98ae8a9513aea09ffefee95e5a21987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a671618aa35ae8f28e591733f007ab009"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a671618aa35ae8f28e591733f007ab009">alexaClientSDK::equalizer::test::BELOW_MIN_LEVEL</a> = MIN_LEVEL - 100</td></tr>
<tr class="memdesc:a671618aa35ae8f28e591733f007ab009"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level below minimum value.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a671618aa35ae8f28e591733f007ab009">More...</a><br /></td></tr>
<tr class="separator:a671618aa35ae8f28e591733f007ab009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68a500675286df456280cb09b2f8e3d0"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a68a500675286df456280cb09b2f8e3d0">alexaClientSDK::equalizer::test::ABOVE_MAX_LEVEL</a> = MAX_LEVEL + 100</td></tr>
<tr class="memdesc:a68a500675286df456280cb09b2f8e3d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level above maximum value.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a68a500675286df456280cb09b2f8e3d0">More...</a><br /></td></tr>
<tr class="separator:a68a500675286df456280cb09b2f8e3d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b86084a8b5b78e5ca4c6467df002a9c"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1b86084a8b5b78e5ca4c6467df002a9c">alexaClientSDK::equalizer::test::DEFAULT_LEVEL</a> = 0</td></tr>
<tr class="memdesc:a1b86084a8b5b78e5ca4c6467df002a9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level used as a default.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1b86084a8b5b78e5ca4c6467df002a9c">More...</a><br /></td></tr>
<tr class="separator:a1b86084a8b5b78e5ca4c6467df002a9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
